code[class*="language-"],
pre[class*="language-"] {
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
  color: var(--grey);
  font-family: Roboto Mono, monospace;
  font-size: 1em;
  line-height: 1.5em;

  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;

  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

code[class*="language-"]::selection,
pre[class*="language-"]::selection,
code[class*="language-"] ::selection,
pre[class*="language-"] ::selection {
  background: var(--cyan);
  color: var(--grey);
}

:not(pre) > code[class*="language-"] {
  white-space: normal;
  border-radius: 0.2em;
  padding: 0.1em;
}

pre[class*="language-"] {
  overflow: auto;
  position: relative;
  margin: 0.5em 0;
  padding: 1.25em 1em;
}

.language-css > code,
.language-sass > code,
.language-scss > code {
  color: var(--orange);
}

[class*="language-"] .namespace {
  opacity: 0.7;
}

.token.atrule,
.token.boolean,
.token.function,
.token.id,
.token.important,
.token.keyword,
.token.symbol {
  color: var(--indigo);
}

.token.attr-name,
.token.builtin,
.token.cdata,
.token.char,
.token.class,
.token.entity,
.token.inserted,
.token.operator,
.token.property,
.token.punctuation {
  color: var(--cyan);
}

.token.attr-value,
.token.attribute,
.token.pseudo-class,
.token.pseudo-element,
.token.string {
  color: var(--yellow);
}

.token.class-name,
.token.regex {
  color: var(--blue);
}

.token.comment,
.token.doctype,
.token.prolog {
  color: var(--grey);
}

.token.deleted,
.token.selector,
.token.tag,
.token.url,
.token.variable {
  color: var(--red);
}

.token.hexcode,
.token.number,
.token.unit {
  color: var(--orange);
}
